Request Podcast Transcription

GET /podcasts/::podcastId/transcription-request

Request multiple episodes for a Podcast to be transcribed and optionally the future Podcast episodes to be transcribed automatically.

TOKEN

Authentication

This endpoint requires an API token. You can learn more about how to get an API token from the authentication page.

URL

https://api.podengine.ai/api/v1/podcasts/:podcastId/transcription-request

Code Example

API Specification

Path Parameters

PropertyTypeDescription
podcastId
string ⓘ

Constraints:

uuid

Podengine ID

Query Parameters

PropertyTypeDescription
type
enum ⓘ

Allowed values

sincelatestrecent

requestFutureEpisodes
boolean

If true, future episodes will be transcribed automatically.

200

Success Response

PropertyTypeDescription
status
literal: OK

data
object

message
string

episodeIds
array
of
string

The IDs of the episodes that were requested.